FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202104091041.p0 BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202104091041.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=0a31621 OS_GIT_VERSION=4.6.0-202104091041.p0-0a31621 SOURCE_DATE_EPOCH=1612203551 SOURCE_GIT_COMMIT=0a3162106840fcded685eb23f1a8beadc6ee2837 SOURCE_GIT_TAG=v3.11.0-266-g0a316210 SOURCE_GIT_URL=https://github.com/openshift/service-ca-operator 
WORKDIR /go/src/github.com/openshift/service-ca-operator
COPY . .
ENV GO_PACKAGE github.com/openshift/service-ca-operator
RUN go build -ldflags "-X $GO_PACKAGE/pkg/version.versionFromGit=$(git describe --long --tags --abbrev=7 --match 'v[0-9]*')" ./cmd/service-ca-operator

FROM openshift/ose-base:v4.6.0-202104051415.p0
ENV __doozer=update BUILD_RELEASE=202104091041.p0 BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202104091041.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=0a31621 OS_GIT_VERSION=4.6.0-202104091041.p0-0a31621 SOURCE_DATE_EPOCH=1612203551 SOURCE_GIT_COMMIT=0a3162106840fcded685eb23f1a8beadc6ee2837 SOURCE_GIT_TAG=v3.11.0-266-g0a316210 SOURCE_GIT_URL=https://github.com/openshift/service-ca-operator 
COPY --from=builder /go/src/github.com/openshift/service-ca-operator/service-ca-operator /usr/bin/
COPY manifests /manifests
# Using the vendored CRD ensures compatibility with 'oc explain'
COPY vendor/github.com/openshift/api/operator/v1/0000_50_service-ca-operator_02_crd.yaml /manifests/02_crd.yaml
ENTRYPOINT ["/usr/bin/service-ca-operator"]

LABEL \
        io.openshift.release.operator="true" \
        name="openshift/ose-service-ca-operator" \
        com.redhat.component="ose-service-ca-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        release="202104091041.p0" \
        io.openshift.build.commit.id="0a3162106840fcded685eb23f1a8beadc6ee2837" \
        io.openshift.build.source-location="https://github.com/openshift/service-ca-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/service-ca-operator/commit/0a3162106840fcded685eb23f1a8beadc6ee2837" \
        version="v4.6.0"

